const React = require('react');

const Share = ({ email, sms }) => React.createElement(
  "div",
  { className: "blurb blurb-share" },
  email && React.createElement(
    "div",
    { className: "blurb-share-email" },
    React.createElement(
      "a",
      { className: "no-underline", href: email.href },
      email.img && React.createElement("img", { src: email.img.src, alt: email.img.alt }),
      React.createElement(
        "p",
        null,
        "Send an email"
      )
    )
  ),
  sms && React.createElement(
    "div",
    { className: "blurb-share-sms" },
    React.createElement(
      "a",
      { className: "no-underline", href: sms.href },
      sms.img && React.createElement("img", { src: sms.img.src, alt: sms.img.alt }),
      React.createElement(
        "p",
        null,
        "Send a text"
      )
    )
  )
);

Share.propTypes = {
  email: React.PropTypes.object,
  sms: React.PropTypes.object
};

module.exports = Share;